Loading...
Searching...
No Matches
SQLStatement Class Reference

This is the public class for DBI drivers supporting Qore's new prepared statement API. More...

`#include <SQLStatement.h>`

## Public Member Functions

DLLEXPORT Datasource * | getDatasource () const
| returns the Datasource bound to this statement More...
DLLEXPORT void * | getPrivateData () const
| returns the private DBI-specific data structure for this object
DLLEXPORT void | setPrivateData (void *data)
| sets the private DBI-specific data structure for this object More...
DLLEXPORT void * | takePrivateData ()
| returns the private DBI-specific data structure for this object and clears the object

## Detailed Description

This is the public class for DBI drivers supporting Qore's new prepared statement API.

See also
  DBIDriver

## Member Function Documentation

## getDatasource()

DLLEXPORT Datasource * SQLStatement::getDatasource | ( |  | ) | const

returns the Datasource bound to this statement

Returns
  the Datasource bound to this statement

## setPrivateData()

DLLEXPORT void SQLStatement::setPrivateData | ( | void * | data | ) |

sets the private DBI-specific data structure for this object

this should only be called once in the actual DBI driver code

Parameters

  data | the data for the DBI driver that holds the driver-specific state of the connection

The documentation for this class was generated from the following file:

- include/qore/SQLStatement.h